System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.IDataRecord System.IDisposable Forward-only result set reader This class provides a forward-only way to go through the results of a query. Although it is less convenient than a DataSet, it is faster.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataTable To be added To be added: an object of type 'DataTable' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean Read the next result true if a valid record was read by this invocation of Read() This method allows a nice idiom: `while (SomeDataReader.Read()) { //do something with the data from this row. }` 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0